package GRCNodes;

import java.util.Vector;
import java.util.ArrayList;
public class AjoinNode extends BaseGRCNode{
	private Vector threadnums = new Vector();
	private int lookat = -1;
	public AjoinNode(Vector vector, Vector upvector, Vector CCFGNode, Vector lastnodes) {
		super(vector, upvector, CCFGNode, lastnodes);
	}
	
	public void addthreadnum(Integer in){
		threadnums.add(in);
	}
	
	public int getthreadnum(int in){
		return ((Integer)threadnums.get(in)).intValue();
	}
	public void toString(StringBuffer s,ArrayList insigs,ArrayList cs,ArrayList ps){
		//s.append("System.out.println(\"Completed instant for current CD..\");\n");
		s.append(indent());
		s.append("break RUN;\n");
		s.append(indent());
		return;
	}
	
	public void setlookat(int num){
		lookat = num;
	}
	public void buildjcc(String tpa, StringBuffer s,StringBuffer sj,ArrayList sigs, ArrayList types, ArrayList inchans, ArrayList ictypes,
							ArrayList ochans, ArrayList octypes){
		/*
		 * This is where this one differs from the other one,
		 * 1.) Here I make a check if the current-thread has completed with a termination of inf
		 * 2.) If YES then I dont break and let the damn thing continue
		 * 3.) ELSE I break out of this loop since the current instant of the Tick for this domain is over.
		 */
		
		BaseGRCNode parent = (BaseGRCNode)this.getparent(lookat);
		if(parent instanceof TerminateNode){
			int ttnum = parent.getthreadnum();
			if(((TerminateNode)parent).getValue().equals("inf")){
				s.append("goto RUN;\n");
				s.append(indent());
			}
			else if(((TerminateNode)parent).getValue().equals("1")){
				//s.append("printf(\"Current Instant over for the CD\\n\");\n");					
				s.append(indent());
				s.append("goto END;\n");
				s.append(indent());
			}
		}			
		else if(parent instanceof EnterNode){
			//This means the code has come out quiet normally
			//s.append("printf(\"Bye Bye you wont be coming here again\\n\");\n");
			s.append(indent());
			s.append("goto END;\n");
			s.append(indent());	
		}
		else
			throw new RuntimeException("My parents can only be Terminatenodes");	
	}
	
	public void toString2(StringBuffer s, ArrayList insigs, ArrayList list,ArrayList ps){
		BaseGRCNode parent = (BaseGRCNode)this.getparent(lookat);
		int lnum = this.stmt2 != null ? this.stmt2.lineNumber() : -1;		
		this.printlinenum(lnum,s);
		if(parent instanceof TerminateNode){
			int ttnum = parent.getthreadnum();
			if(((TerminateNode)parent).getValue().equals("inf")){
				s.append(indent());
				s.append("continue RUN;\n");
				s.append(indent());
				dontputthis = true;
			}
			else if(((TerminateNode)parent).getValue().equals("1")){
				//s.append("printf(\"Current Instant over for the CD\\n\");\n");					
				s.append(indent());
				s.append("break RUN;\n");
				s.append(indent());
				dontputthis = true;
			}
		}			
		else if(parent instanceof EnterNode){
			//This means the code has come out quiet normally
			//s.append("printf(\"Bye Bye you wont be coming here again\\n\");\n");
			s.append(indent());
			s.append("break RUN;\n");
			s.append(indent());
			dontputthis = true;
		}
		else
			throw new RuntimeException("My parents can only be Terminatenodes");
	}
	
	public void toString3(StringBuffer s,StringBuffer sa,ArrayList insigs, ArrayList outsigs, ArrayList dsigs,
								ArrayList resus,ArrayList memlocs,ArrayList jnames, ArrayList snms, ArrayList thnums,
								ArrayList datalocks){
		
		//Get it going
		BaseGRCNode parent = (BaseGRCNode)this.getparent(lookat);
        HSGWalker walker = new HSGWalker(this,null);
        walker.memPointerPC=-1;
		int lnum = this.stmt2 != null ? this.stmt2.lineNumber() : -1;		
		this.printlnum(lnum,sa);
		if(parent instanceof TerminateNode){
			int ttnum = parent.getthreadnum();
            if(((TerminateNode)parent).getValue().equals("inf")){
                //This is set from bAJ2.jadd as the psnode.CDdo=true so is CDnum 
                /*
                   TODO
                   1.) Looking at DPC os something else we need to find out if the inf is because of
                   data-call or signal resolution?
                   2.) If data-call then jump to the next clock-domain given in allocCDnum
                   else jump to CDnum
                */
                if(!allocation){
                    if(CDdo) 
                        sa.append("JMP RUN"+CDnum+";\n");
                    else
                        sa.append("JMP RUN;\n");
                    sa.append(indent());
                }
				else{
					//if(CDdo) 
					//Currently THIS FUCKING SHIT DOES NOT WORK AT ALL
					//sa.append("JMP RUN"+CDnum+";\n");
					//sa.append("JMP END"+CDnum+";FUCK THIS\n");
					//else
					//sa.append("JMP RUN;\n");
					//sa.append(indent());

					if(CDdo){
						//sa.append("LDR R9 #$1;\n");
						//sa.append(indent());
						//sa.append("SUB R4 #$0;\n");
						//sa.append(indent());
						//sa.append("LDR R9 #$1;\n");
						//sa.append(indent());
						sa.append("JMP RUN"+CDnum+";\n");
						//sa.append("SZ RUN"+CDnum+";\n");
						//sa.append(indent());
						//sa.append("JMP END"+CDnum+";\n");
					}
					else{
						sa.append("JMP END;\n");
					}
					sa.append(indent());
				}
            }
			else if(((TerminateNode)parent).getValue().equals("1")){
				//s.append("printf(\"Current Instant over for the CD\\n\");\n");					
				sa.append(indent());
                if(allocation){
                   //Setting its own pc to zero
                   int threadnum = ((TerminateNode)parent).getthreadnum();
                   if(threadnum == -1)
                       throw new RuntimeException();
                   long mainPC = ((Long)memlocs.get(4)).longValue();
                   for(int t=0;t<thnums.size();++t){
                       if(((Integer)thnums.get(t)).intValue() == threadnum)
                           break;
                       else
                           ++mainPC;
                   }
                   sa.append("LDR R0 #$0;\n");
                   sa.append(indent());
                   sa.append("STR R0 $"+Long.toHexString(mainPC)+";\n");
                   sa.append(indent());
				   //sa.append("LDR R9 #$0;\n");
				   //sa.append(indent());
                   walker.memPointerPC=mainPC;
                }
                if(!CDdo)
                    sa.append("JMP END;\n");
                else
                    sa.append("JMP END"+CDnum+";\n");
                sa.append(indent());
            }
		}	
		else if(parent instanceof EnterNode){
			//This means the code has come out quiet normally
			//s.append("printf(\"Bye Bye you wont be coming here again\\n\");\n");			
            if(allocation){
                //Set PC[CDnum]=0
                int threadnum = ((EnterNode)parent).getthreadnum();
                if(threadnum == -1)
                    throw new RuntimeException();
                long mainPC = ((Long)memlocs.get(4)).longValue();
                for(int t=0;t<thnums.size();++t){
                    if(((Integer)thnums.get(t)).intValue() == threadnum)
                        break;
                    else
                        ++mainPC;
                }
                sa.append("LDR R0 #$0;\n");
                sa.append(indent());
                sa.append("STR R0 $"+Long.toHexString(mainPC)+";\n");
                sa.append(indent());
				//sa.append("LDR R9 #$0;\n");
				//sa.append(indent());
                walker.memPointerPC=mainPC;
            }
            if(!CDdo)
				sa.append("JMP END;\n");
			else
				sa.append("JMP END"+CDnum+";\n");
			//sa.append("JMP END;\n");
			sa.append(indent());	
		}
		else
			throw new RuntimeException("My parents can only be Terminatenodes");
        
	}
}
