package buffer;
import java.util.Vector;

public class Buffer 
{
	// internal data storage and buffer size varaibles
	private Vector v = null;
	private int length = 0;
	
	// constructs the buffer with the given length
	public Buffer(int length)
	{
		v = new Vector();
		this.length=length;
	}
	
	// return the number of items currently in the buffer
	public int count()
	{
		return v.size();
	}
	
	// push and Object into the buffer
	public void push(Object o)
	{
		if(v.size() != length)
		{
			v.add(o);
		} 
		else
		{
			throw new RuntimeException("Buffer full");
		}
	}
	
	// pop an Object from the buffer
	public Object pop()
	{
		if(!v.isEmpty()) 
		{
			return v.remove(0); 
		}
		else
		{
			throw new RuntimeException("Buffer Empty");
		}
	}
	
	// returns true if the buffer is full
	public boolean isFull()
	{
		return ((v.size()==length)?true:false);
	}
	
	// returns true if the buffer is empty
	public boolean isEmpty()
	{
		return v.isEmpty();
	}
}
